package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Site channel limit setting.
 */
@ApiModel(description = "Site channel limit setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteChannelLimitSetting   {
  @JsonProperty("channelLimit")
  private ChannelLimitSettingVo channelLimit;

  public SiteChannelLimitSetting channelLimit(ChannelLimitSettingVo channelLimit) {
    this.channelLimit = channelLimit;
    return this;
  }

  /**
   * Get channelLimit
   * @return channelLimit
  */
  @ApiModelProperty(value = "")

  @Valid

  public ChannelLimitSettingVo getChannelLimit() {
    return channelLimit;
  }

  public void setChannelLimit(ChannelLimitSettingVo channelLimit) {
    this.channelLimit = channelLimit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteChannelLimitSetting siteChannelLimitSetting = (SiteChannelLimitSetting) o;
    return Objects.equals(this.channelLimit, siteChannelLimitSetting.channelLimit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(channelLimit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteChannelLimitSetting {\n");
    
    sb.append("    channelLimit: ").append(toIndentedString(channelLimit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

